# NodeLink(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``NodeLink`(bpy_struct)

  Link is valid

  `from_node`

    Type: | `Node`, (readonly)

  `from_socket`

    Type: | `NodeSocket`, (readonly)

  `is_hidden`

    Link is hidden due to invisible sockets

    Type: | boolean, default False, (readonly)

  `is_valid`

    Type: | boolean, default False

  `to_node`

    Type: | `Node`, (readonly)

  `to_socket`

    Type: | `NodeSocket`, (readonly)

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Node.internal_links` `NodeLinks.new` | `NodeLinks.remove` `NodeTree.links`